Bug 1666377 - Remove qla2xxx target support [NEEDINFO]
Summary: Remove qla2xxx target support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python-rtslib
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Maurizio Lombardi
QA Contact: Filip Suba
Apurva Bhide
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-15 16:36 UTC by Maurizio Lombardi
Modified: 2020-11-17 16:30 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Removed functionality
Doc Text:
.Software FCoE and Fibre Channel no longer support the target mode * Software FCoE: NIC Software FCoE target functionality is removed in Red Hat Enterprise Linux 8.0. * Fibre Channel no longer supports the target mode. Target mode is disabled for the `qla2xxx` QLogic Fibre Channel driver in Red Hat Enterprise Linux 8.0.
Clone Of:
Environment:
Last Closed: 2020-04-28 17:00:59 UTC
Type: Bug
Target Upstream Version:
lherbolt: needinfo? (mlombard)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:1892 0 None None None 2020-04-28 17:01:07 UTC

Description Maurizio Lombardi 2019-01-15 16:36:08 UTC
Description of problem:

Management decided to disable qla2xxx target support in RHEL8.
I am going to disable the qla2xxx module in rtslib library.

Comment 4 Marek Suchánek 2019-04-01 13:47:34 UTC
Hi Maurizio,

Is it still planned to remove qla2xxx target support in RHEL 8.0 GA?

If so, I need to write a release note about it, with your help. I'd also like to know how the removal affects the doc text in this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1649922

Thanks,
Marek

Comment 5 Maurizio Lombardi 2019-04-01 13:58:50 UTC
Hello Marek,

Yes, qla2xxx *target* mode is not supported in RHEL8.0. The kernel module has been configured-out and the qla2xxx's code in targetcli has been disabled.
Note that bz1649922 is about qla2xxx's support of the NVME over FibreChannel protocol and it's not related to this bz.

Comment 6 Marek Suchánek 2019-04-02 16:33:44 UTC
(In reply to Maurizio Lombardi from comment #5)
> Hello Marek,
> 
> Yes, qla2xxx *target* mode is not supported in RHEL8.0. The kernel module
> has been configured-out and the qla2xxx's code in targetcli has been
> disabled.
> Note that bz1649922 is about qla2xxx's support of the NVME over FibreChannel
> protocol and it's not related to this bz.

Thanks. I've attempted to write a draft for the release note -- could you please review the doc text field?

Also, what's the status of initiator mode with qla2xxx? Should it be mentioned in the release note?

Comment 7 Maurizio Lombardi 2019-04-04 10:12:03 UTC
Hello Marek,

We are not going to remove the "qla2xxx" kernel module in RHEL8, we just removed the "tcm_qla2xxx" kernel module (the target implementation).
The initiator mode in qla2xxx supported and you can mention it.

Comment 8 Marek Suchánek 2019-04-04 17:16:15 UTC
(In reply to Maurizio Lombardi from comment #7)
> Hello Marek,
> 
> We are not going to remove the "qla2xxx" kernel module in RHEL8, we just
> removed the "tcm_qla2xxx" kernel module (the target implementation).
> The initiator mode in qla2xxx supported and you can mention it.

Thanks, fixed.

The doc text will be published as a RHEL 8.0 GA release note.

Comment 21 Filip Suba 2020-03-11 09:19:05 UTC
Verified with python3-rtslib-2.1.71-4.el8.

Comment 23 errata-xmlrpc 2020-04-28 17:00:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:1892

Comment 24 William 2020-07-25 06:28:34 UTC
Dear developers,

I think you made a big mistake removing qla2xxx target's support. Last week I moved two CentOS servers to Debian because of that. 
A terrible decision for CentOS and RHEL.


Note You need to log in before you can comment on or make changes to this bug.